package ub.scp2.dao;

import java.util.List;
import ub.scp2.entities.FileSubmission;
import ub.scp2.entities.Submission;

public interface FileSubmissionDao {
    
	//Persistence methods
	public List<FileSubmission> getFileSubmissions();
	public List<FileSubmission> getFileBySubmissionId(long id);
	public void saveFileSubmission(FileSubmission fileSubmission);
	public void deleteFileSubmission(FileSubmission fileSubmission);
	public void updateFileSubmission(FileSubmission fileSubmission);
        public void deleteSubmissionsByUser(long id);

}
